petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestSetAdaptivityStrategy

Get the strategy for combining adaptivity labels from multiple processes. Subtypes of DMForest may define their own strategies. Two default strategies are DMFORESTADAPTALL, which indicates that all processes must agree for a refinement/coarsening flag to be valid, and DMFORESTADAPTANY, which indicates that only one process needs to specify refinement/coarsening.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetAdaptivityStrategy(DM dm, DMForestAdaptivityStrategy *adaptStrategy)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

adaptStrategy -the adaptivity strategy (default DMFORESTADAPTALL)

### See Also

DMForestSetAdaptivityStrategy()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages